## com.ziclix.python.sql
Class DBApiType

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyInteger
                  |
                  +--com.ziclix.python.sql.DBApiType

All Implemented Interfaces:
  java.io.Serializable

public final class DBApiType
extends PyInteger

This class wraps the types from java.sql.Type in order for PyCursor to differentiate between a regular PyInteger and a SQL datatype value.

Version:
  $Revision: 1.2 $
Author:
  brian zimmer
, last modified by $Author: anoncvs_jtags $
See Also:
  Serialized Form

Field Summary
`static PyClass` `__class__` Field __class__

Constructor Summary
`DBApiType(int type)` Constructor DBApiType
`DBApiType(java.lang.Integer type)` Constructor DBApiType

Methods inherited from class org.python.core.PyInteger
`__abs__, __add__, __and__, __cmp__, __coerce_ex__, __complex__, __div__, __divmod__, __float__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rshift__, __rsub__, __sub__, __tojava__, __xor__, getValue, hashCode, isMappingType, isSequenceType, safeRepr, toString`

Methods inherited from class org.python.core.PyObject

`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __lt__, __ne__, __not__, __pow__, __rand__, __rdivmod__, __repr__, __rlshift__, __ror__, __rpow__, __rrshift__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, invoke, invoke, invoke, isCallable, isNumberType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __class__

    public static PyClass __class__

  Field __class__

Constructor Detail

### DBApiType

    public DBApiType(int type)

  Constructor DBApiType

### DBApiType

    public DBApiType(java.lang.Integer type)

  Constructor DBApiType

Jython homepage